Bug 145547 - yum fails to execute with a socket.error
yum fails to execute with a socket.error
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 11:04 EST by William Lovaton
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 14:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace from yum (354.25 KB, text/plain)
2005-01-19 11:11 EST, William Lovaton
no flags Details

  None (edit)
Description William Lovaton 2005-01-19 11:04:41 EST
Description of problem:
Hi I installed FC3 in my office and home PCs and a few weeks ago yum
haven't been working due to some kind of network problem.

At home it works well (I'm not using a proxy).
At the office I have 3 computers with FC3 and all of them fails to
execute yum.  The thing is that it was working and I managed to pull
some updates.  The computers are 2 workstations and 1 production server.

I have the $http_proxy configured like this:
http://williama_lovaton:<password>@192.1.4.140:8080

Every single program that needs to connect to the internet works fine
(eg. wget).  Even yum used to work fine with this.

It fails with every command, for instance I do this:
[root@nalwalovaton ~]# yum check-update
Traceback (most recent call last):
  File "/usr/bin/yum", line 7, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 51, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 134, in getOptionsConfig
    self.conf = yumconf(configfile = yumconffile, root=root)
  File "/usr/lib/python2.3/site-packages/yum/config.py", line 327, in
__init__
    self._doFileRepo(fn)
  File "/usr/lib/python2.3/site-packages/yum/config.py", line 399, in
_doFileRepo
    doRepoSection(self, repoconf, section)
  File "/usr/lib/python2.3/site-packages/yum/config.py", line 413, in
doRepoSection
    mirrorurls = getMirrorList(mirrorlist)
  File "/usr/lib/python2.3/site-packages/yum/config.py", line 500, in
getMirrorList
    content = fo.readlines()
  File "/usr/lib/python2.3/site-packages/urlgrabber/keepalive.py",
line 391, in readlines
    line = self.readline()
  File "/usr/lib/python2.3/site-packages/urlgrabber/keepalive.py",
line 376, in readline
    new = self._raw_read(self._rbufsize)
  File "/usr/lib/python23.zip/httplib.py", line 409, in read
    s = self.fp.read(amt)
  File "/usr/lib/python23.zip/socket.py", line 301, in read
    data = self._sock.recv(recv_size)
socket.error: (104, 'Connection reset by peer')


This is my yum.conf:
[root@nalwalovaton ~]# cat /etc/yum.conf
[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
retries=20
obsoletes=1
gpgcheck=1

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d


This is my /etc/yum.repos.d/fedora-updates.repo:
[root@nalwalovaton ~]# cat /etc/yum.repos.d/fedora-updates.repo
[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch/
#baseurl=http://fr.rpmfind.net/linux/fedora/core/updates/3/i386/
mirrorlist=http://fedora.redhat.com/download/mirrors/updates-released-fc$releasever
enabled=1
gpgcheck=1


I'll attach an strace later.
Comment 1 William Lovaton 2005-01-19 11:11:53 EST
Created attachment 109970 [details]
strace from yum

I got this strace with this command:
strace yum check-update &> yum.log

It's about 360KB.  I changed the locale to "en_US" during the test, it was
"es_CO.UTF-8"
Comment 2 Seth Vidal 2005-07-29 14:44:57 EDT
I believe the proxy_username, proxy_pass and proxy options in yum's should solve
this problem. Upgrade to the latest release of yum and try them.

closing as upstream.

Note You need to log in before you can comment on or make changes to this bug.